Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Class EmbeddedComponentType

    java.lang.Object
      org.hibernate.type.AbstractType
          org.hibernate.type.ComponentType
              org.hibernate.type.EmbeddedComponentType

All Implemented Interfaces:
  Serializable, AbstractComponentType, Type

    public class EmbeddedComponentType

extends ComponentType

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.type.ComponentType
`propertySpan, tuplizerMapping`

Constructor Summary
`EmbeddedComponentType(ComponentMetamodel metamodel)`

Method Summary
`Object` | `instantiate(Object parent, SessionImplementor session)`
`boolean` | `isEmbedded()`
`boolean` | `isMethodOf(Method method)`

Methods inherited from class org.hibernate.type.ComponentType
`assemble, compare, deepCopy, disassemble, fromXMLNode, getCascadeStyle, getColumnSpan, getFetchMode, getHashCode, getHashCode, getName, getPropertyNames, getPropertyNullability, getPropertyValue, getPropertyValue, getPropertyValues, getPropertyValues, getReturnedClass, getSubtypes, hydrate, instantiate, isComponentType, isDirty, isDirty, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, replace, replace, resolve, semiResolve, setPropertyValues, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Methods inherited from class org.hibernate.type.AbstractType
`beforeAssemble, getSemiResolvedType, isAnyType, isAssociationType, isCollectionType, isEntityType, replaceNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.Type
`beforeAssemble, getSemiResolvedType, isAnyType, isAssociationType, isCollectionType, isEntityType`

Constructor Detail

### EmbeddedComponentType

    public EmbeddedComponentType(ComponentMetamodel metamodel)

Method Detail

### isEmbedded

    public boolean isEmbedded()

  Specified by:
    `isEmbedded` in interface `AbstractComponentType`
  Overrides:
    `isEmbedded` in class `ComponentType`

### isMethodOf

    public boolean isMethodOf(Method method)

  Specified by:
    `isMethodOf` in interface `AbstractComponentType`
  Overrides:
    `isMethodOf` in class `ComponentType`

### instantiate

    public Object instantiate(Object parent,
                              SessionImplementor session)
                       throws HibernateException

  Overrides:
    `instantiate` in class `ComponentType`
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD